import 'package:flutter/material.dart';

import 'package:pweb/pages/dashboard/payouts/amount.dart';
import 'package:pweb/pages/dashboard/payouts/fee_payer.dart';
import 'package:pweb/pages/dashboard/payouts/quote_status/quote_status.dart';
import 'package:pweb/pages/dashboard/payouts/summary/widget.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class PaymentFormWidget extends StatelessWidget {
  const PaymentFormWidget({super.key});

  static const double _smallSpacing = 5;
  static const double _mediumSpacing = 10;
  static const double _largeSpacing = 16;
  static const double _extraSpacing = 15;


  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context);
    final loc = AppLocalizations.of(context)!;

    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(loc.details, style: theme.textTheme.titleMedium),
        const SizedBox(height: _smallSpacing),

        const PaymentAmountWidget(),

        const SizedBox(height: _mediumSpacing),

        FeePayerSwitch(spacing: _mediumSpacing, style: theme.textTheme.titleMedium),

        const SizedBox(height: _largeSpacing),

        const PaymentSummary(spacing: _extraSpacing),
        const SizedBox(height: _mediumSpacing),
        const QuoteStatus(spacing: _smallSpacing),
      ],
    );
  }
}
